/*
	DUFTP
*/

// 'ls -l' listing to file_list conversion (HEADER)

#ifndef _LS2FILEL_H_
#define _LS2FILEL_H_

#include <DULIB.H>

typedef struct ls_flst
{
	struct ls_flst *next;
	short is_directory;
	short is_symlink;
	short public_read;
	short owner_read;
	long size;
	char name[FMSIZE];
	char owner[20];
} file_list;

extern file_list *ls_to_list(char *filename);
extern char **extract_filenames(file_list *l);
extern void dispose_file_list(file_list *f);

#endif

